<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:poll="http://typo3.org/ns/CodingMs/Poll/ViewHelpers">
	<f:section name="Default">
		<!-- poll: Partials/Question/SingleUserAnswer.html Default [begin] -->

		<div class="poll-question single-user-answer layout-default {question.additionalCssClass} {f:if(condition: questionIteration.isOdd, then: 'odd')} {f:if(condition: questionIteration.isEven, then: 'even')}" id="poll-question-{question.uid}">

			<f:render partial="Poll/Question/ShowHrBefore" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/Headline" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/ErrorMessages" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question" section="Default" arguments="{_all}" />

			<!-- Answers -->
			<div class="poll-question-answers">

				<f:for each="{question.questionAnswer}" as="answer" iteration="questionAnswerIteration">
					<f:if condition="{questionAnswerIteration.isFirst}">
						<f:form.hidden name="answers[question_{question.uid}]" value="{answer.uid}" />
					</f:if>
				</f:for>

				<!-- If the answer is available in answers-array.. -->
				<f:if condition="{poll:variable.get(name: 'answers.question_{question.uid}_userAnswer')}">
					<f:then>
						<!-- use the value -->
						<f:form.textfield name="answers[question_{question.uid}_userAnswer]"
										  value="{poll:variable.get(name: 'answers.question_{question.uid}_userAnswer')}"
										  placeholder="{answer.userAnswerPlaceholder}" />
					</f:then>
					<f:else>
						<!-- otherwise use the default value -->
						<f:form.textfield name="answers[question_{question.uid}_userAnswer]"
										  value="{question.questionAnswerDefault}"
										  placeholder="{answer.userAnswerPlaceholder}" />
					</f:else>
				</f:if>
			</div>

		</div>

		<!-- poll: Partials/Question/SingleUserAnswer.html Default [end] -->
	</f:section>
	<f:section name="Multiline">
		<!-- poll: Partials/Question/SingleUserAnswer.html Multiline [begin] -->

		<div class="poll-question single-user-answer layout-multiline {question.additionalCssClass} {f:if(condition: questionIteration.isOdd, then: 'odd')} {f:if(condition: questionIteration.isEven, then: 'even')}" id="poll-question-{question.uid}">

			<f:render partial="Poll/Question/ShowHrBefore" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/Headline" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/ErrorMessages" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question" section="Default" arguments="{_all}" />

			<!-- Answers -->
			<div class="poll-question-answers">

				<f:for each="{question.questionAnswer}" as="answer" iteration="questionAnswerIteration">
					<f:if condition="{questionAnswerIteration.isFirst}">
						<f:form.hidden name="answers[question_{question.uid}]" value="{answer.uid}" />
					</f:if>
				</f:for>

				<!-- If the answer is available in answers-array.. -->
				<f:if condition="{poll:variable.get(name: 'answers.question_{question.uid}_userAnswer')}">
					<f:then>
						<!-- use the value -->
						<f:form.textarea name="answers[question_{question.uid}_userAnswer]"
										 value="{poll:variable.get(name: 'answers.question_{question.uid}_userAnswer')}"
										 placeholder="{answer.userAnswerPlaceholder}" />
					</f:then>
					<f:else>
						<!-- otherwise use the default value -->
						<f:form.textarea name="answers[question_{question.uid}_userAnswer]"
										 value="{question.questionAnswerDefault}"
										 placeholder="{answer.userAnswerPlaceholder}" />
					</f:else>
				</f:if>
			</div>

		</div>

		<!-- poll: Partials/Question/SingleUserAnswer.html Multiline [end] -->
	</f:section>
</div>
